<?php

namespace App\Services\Dashboard\Province\SystemMessages;

use App\Facades\DataTable\DataTableFacade;
use App\Models\SystemMessage;
use Illuminate\Http\Request;

class OperatorService
{
    public function dataTable(Request $request)
    {
        return DataTableFacade::run(
            SystemMessage::query()->orderBy('id'),
            $request,
            allowedFilters: ['*'],
            allowedSortings: ['*'],
            allowedSelects: ['id','duration','date', 'voice', 'type_id', 'type_name']
        );
    }
}
